Class | Rubygame::EventTriggers::MouseReleaseTrigger
In: | lib/rubygame/event_triggers.rb
Parent: | Object

MouseReleaseTrigger is an event trigger which fires when a mouse button is released (i.e. MouseReleased).

By default, this trigger fires for any mouse release, but it can be configured to fire for only a specific mouse button by passing a button symbol to new.

See also MousePressTrigger.

### Methods

match? new

### Public Class methods

new( button=:any )

Initialize a new instance of MouseReleaseTrigger with the given mouse button.

button: | The mouse button symbol to detect, or :any to detect any button press. Valid mouse button symbols are: :mouse_left, :mouse_middle, :mouse_right, :mouse_wheel_up, and :mouse_wheel_down.

### Public Instance methods

match?( event )

Returns true if the event is a MouseReleased event and the event‘s button is the same as the trigger‘s button (or the trigger‘s button is :any).

[Validate]